%global _hardened_build 1

%{!?_syprefix: %define _syprefix /opt/symas }
%{!?_etcfix: %define _etcfix %{_syprefix}/etc }
%{!?_sylibdir: %define _sylibdir %{_syprefix}/lib }
%{!?_varfix: %define _varfix /var/symas }
%{!?_datesuffix: %define _datesuffix 20230305 }

Name:		symas-slapo-ppolicy
Version:	2.6.4
Release:	1+2.7.%{_datesuffix}%{?dist}
Summary:	slapo-ppolicy 2.7 backported package

License:	BSD
URL:		https://www.openldap.org
Source:		%{name}-%{version}.tar.gz

BuildRequires:	symas-openldap-moddev == 2.6.4, libtool-ltdl-devel
Requires:	symas-openldap-libs == 2.6.4, symas-openldap-servers == 2.6.4, libtool-ltdl

Patch0: 01-Add-Makefile.patch
#Patch1: 02-Add-ctype-and-errno.patch

%description
slapo-ppolicy 2.7 backported package

%prep
%setup -nq slapo-ppolicy-%{version}.tar.gz
%patch0 -p1
#%patch1 -p1

%build
make
#make RTSUFFIX=%{_datesuffix}
#make prefix=%{_syprefix} LDAP_INC="-I%{_syprefix}/include -I%{_syprefix}/include/moddev" LDAP_LIB="-L%{_sylibdir} -llber -lldap" \
#	LIBTOOL=%{_syprefix}/bin/moddev/libtool libexecdir=%{_sylibdir}

%install
#make install
make install DESTDIR=%{buildroot}
#make install DESTDIR=%{buildroot} RTSUFFIX=%{_datesuffix}
#make install DESTDIR=%{buildroot} prefix=%{_syprefix} libexecdir=%{_sylibdir} LIBTOOL=%{_syprefix}/bin/moddev/libtool
rm -f %{buildroot}%{_sylibdir}/openldap/ppolicy27.a

%files
%{_sylibdir}/openldap/ppolicy27*
%{_syprefix}/share/man/man5/slapo-ppolicy27.5

%changelog
* Sun Mar 05 2023 Symas Support <support@symas.com> - 2.6.4-1+27.20230305
- Updated man page and overlay
* Fri Mar 03 2023 Symas Support <support@symas.com> - 2.6.4-1+27.20230303
- More policy selection criteria
* Thu Mar 02 2023 Symas Support <support@symas.com> - 2.6.4-1+27.20230302
- Updated ppolicy
* Mon Feb 27 2023 Symas Support <support@symas.com> - 2.6.4-1+27.20230227
- Cleaning errno and ctype
* Thu Feb 23 2023 Symas Support <support@symas.com> - 2.6.4-1+27.20230223
- Adding man page
* Mon Feb 20 2023 Symas Support <support@symas.com> - 2.6.4-1+27.20230220
- Initial release for ppolicy27
